Skip to main content
GET
Get comment threads

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

videoId
string

The YouTube video ID to get comment threads for. This is a unique 11-character string.

Required string length: 11
Example:

"dQw4w9WgXcQ"

channelId
string

The YouTube channel ID to get comment threads for. This is a unique 24-character string.

Required string length: 24
Example:

"UCuAXFkgsw1L7xaCfnd5JJOw"

commentIds
string

The list of comment IDs to get threads for. Use this to retrieve replies to a comments.

Example:

"UgzarqjaaPC7TbFINNx4AaABAg"

pageToken
string

The page token to retrieve the next page of comment threads. This token is provided in the nextPageToken field of the previous response.

searchTerm
string

A search term to filter comment threads. Only threads containing this term will be returned.

Example:

"great video"

order
enum<string>

The order to sort comment threads by. "time" sorts by newest first, "relevance" sorts by most relevant first.

Available options:
time,
relevance
Example:

"time"

format
enum<string>
default:html

The format to return comments in. "html" includes HTML formatting, "plainText" returns unformatted text.

Available options:
html,
plainText

Response

Successful response

data
object[]
required

Array of comment thread objects

nextPageToken
string

Token to retrieve the next page of results, if available